Get usage terms and accounts for the current organization.
curl --request GET \
--url https://api.checklyhq.com/v2/usage/terms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.checklyhq.com/v2/usage/terms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.checklyhq.com/v2/usage/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"accounts": [
{
"id": "<string>",
"name": "<string>"
}
],
"contractStartDate": "2023-12-25",
"contractEndDate": "2023-12-25",
"usageStartDate": "2023-12-25",
"creditBudget": 1,
"standardCreditsPerUnit": 1,
"premiumCreditsPerUnit": 1,
"pricingRules": {
"apiChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"multistepChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"browserChecks": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"playwrightCheckSuites": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"uptimeMonitors": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"aiInvocations": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPages": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPageAdditionalServices": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"statusPageAdditionalSubscribers": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"additionalSms": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
},
"additionalPhoneAlerts": {
"method": "per_unit",
"quantity": 1,
"unit": "<string>",
"credits": 1,
"rates": [
{
"when": "<string>",
"credits": 1
}
],
"included": {
"quantity": 1,
"period": "<string>"
}
}
}
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}Usage
Get usage terms and accounts for the current organization.
GET
/
v2
/
usage
/
terms
Get usage terms and accounts for the current organization.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Query Parameters
Date used to resolve usage terms. Defaults to today.
Response
Successful
Show child attributes
Show child attributes
Required range:
x > 0Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes
Was this page helpful?